Django安装过程

Django安装过程

(1)安装python3

(2)安装数据库驱动:pip3 install mysqlclient

(3)测试数据库连接情况,写一个.py的文件:

#!/usr/bin/env python3
import MySQLdb as mydb
db = mydb.connect(user='t_user', host='localhost',db='mktest', passwd='test_user^', unix_socket='/mnt/mysqld/mysql.sock')
cur = db.cursor()
cur.execute('select * from t1')
print(cur.fetchall())
db.close()

(4)安装virtualenv和virtualenvwrapper
pip3 install virtualenv

python3.6不需要安装这个软件了,可以使用python3 -m venv DIR的方式建立一个虚拟运行环境.

(5)virtualenv ENV(ENV是目录,virtualenv在ENV这个目录下建立一个虚拟运行环境)

(6)进入ENV,source bin/activate

(7)pip3 install django
如果遇到下面这种错误,不用担心,重新执行一次pip3 install django也许就好了,我就是反复安装了好多次才安上的。我感觉是网络中断了,所以才下载不下来的。

Collecting django
  Downloading https://files.pythonhosted.org/packages/ab/15/cfde97943f0db45e4f999c60b696fbb4df59e82bbccc686770f4e44c9094/Django-2.0.7-py3-none-any.whl (7.1MB)
    35% |███████████▍                    | 2.5MB 8.9kB/s eta 0:08:38Exception:
Traceback (most recent call last):
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 302, in _error_catcher
    yield
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 384, in read
    data = self._fp.read(amt)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_vendor/cachecontrol/filewrapper.py", line 60, in read
    data = self.__fp.read(amt)
  File "/usr/local/lib/python3.6/http/client.py", line 449, in read
    n = self.readinto(b)
  File "/usr/local/lib/python3.6/http/client.py", line 493, in readinto
    n = self.fp.readinto(b)
  File "/usr/local/lib/python3.6/socket.py", line 586, in readinto
    return self._sock.recv_into(b)
  File "/usr/local/lib/python3.6/ssl.py", line 1009, in recv_into
    return self.read(nbytes, buffer)
  File "/usr/local/lib/python3.6/ssl.py", line 871, in read
    return self._sslobj.read(len, buffer)
  File "/usr/local/lib/python3.6/ssl.py", line 631, in read
    v = self._sslobj.read(len, buffer)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/basecommand.py", line 228, in main
    status = self.run(options, args)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 291, in run
    resolver.resolve(requirement_set)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/resolve.py", line 103, in resolve
    self._resolve_one(requirement_set, req)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/resolve.py", line 257, in _resolve_one
    abstract_dist = self._get_abstract_dist_for(req_to_install)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/resolve.py", line 210, in _get_abstract_dist_for
    self.require_hashes
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/operations/prepare.py", line 310, in prepare_linked_requirement
    progress_bar=self.progress_bar
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/download.py", line 837, in unpack_url
    progress_bar=progress_bar
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/download.py", line 674, in unpack_http_url
    progress_bar)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/download.py", line 898, in _download_http_url
    _download_url(resp, link, content_file, hashes, progress_bar)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/download.py", line 618, in _download_url
    hashes.check_against_chunks(downloaded_chunks)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/utils/hashes.py", line 48, in check_against_chunks
    for chunk in chunks:
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/download.py", line 586, in written_chunks
    for chunk in chunks:
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/utils/ui.py", line 159, in iter
    for x in it:
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_internal/download.py", line 575, in resp_read
    decode_content=False):
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 436, in stream
    data = self.read(amt=amt, decode_content=decode_content)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 401, in read
    raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  File "/usr/local/lib/python3.6/contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "/home/hank/PY_TEST/project1/lib/python3.6/site-packages/pip/_vendor/urllib3/response.py", line 307, in _error_catcher
    raise ReadTimeoutError(self._pool, None, 'Read timed out.')
pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

发表评论